<?php
/*********************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004 - 2007 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 ********************************************************************************/
$viewdefs['EcmProductB2Bs']['DetailView'] = array(
	'templateMeta'=>array(
		'form' => array(
			'buttons'=>array('EDIT', 'DUPLICATE', 'DELETE', 'FIND_DUPLICATES',					
        array(
          'customCode' => '{$CATALOGUE_NEW}'
        ),
						array(
          'customCode' => '{$QRGEN}'
        ),

		),
			'hidden'=>array(
				'<input type="hidden" name="position_list" id="position_list" value=\'{$POSITION_LIST}\'>',
			),
		),
		'maxColumns'=>'2', 
        'widths'=>array(
            array('label'=>'10','field'=>'30'), 
            array('label'=>'10','field'=>'30'),                                                                                                                                  
		),
    	'includes' => array(
			array('file'=>'include/JSON.js'),
			//array('file'=>'include/javascript/quicksearch.js'),
			//array('file'=>'include/ECM/EcmPreviewPDF/EcmPreviewPDF.js'),
			array('file'=>'modules/EcmProductB2Bs/AjaxSearch/AjaxSearch.js'),
			array('file'=>'modules/EcmProductB2Bs/javascript/formloader.js'),   
			array('file'=>'modules/EcmProductB2Bs/javascript/MyTable.js'),
			array('file'=>'modules/EcmProductB2Bs/javascript/EcmProductB2BDetailView.js'),  
			//array('file'=>'modules/EcmQuotes/CreateItem.js'),
			//array('file'=>'modules/EcmProductB2Bs/mintajax.js'),
			//array('file'=>'modules/EcmProductB2Bs/helper.js'),
		),
	),
	'panels'=>array(
		'LBL_PRODUCT_INFORMATION'=>array(
			array('name','assigned_user_name'),
			array('code','product_active'),
			array('B2B','B2C'),
			array('ean','ean2'),
			array('vendor_name','part_no'),
			array('serial_no'),
			array('status'),
			//array('product_category_name','product_subcategory_name'),
			//array('product_line_name'),
			//array('sales_start_date','sales_end_date'),
			//array('manufacturer_name','parent_name'),
			//array('contact_name','website'),
			//array('vendor_name','part_no'),
			//array('vendor_part_no','serial_no'),		
			//array('th'),
		    array(
		                array(
		                        'label'=>'LBL_TAX_CLASS_NAME',
		                        'customCode'=>'<select tabindex="v" id="vat_id" name="vat_id">{$VAT_ID}</select>',
		                ),'unit_id'
		        ),
		    array('pkwiu','ks_group'),
			array(
			array(
          'customCode' => '{$QRCODE}',
		  'label'=>'Kod QR:',
			),
		),
		),
			'LBL_PANEL_PRICES' => array (
					0 => array (
							0 => array (
									'name' => 'items_list_panel4',
									'allCols' => true,
									'hideLabel' => true,
									'customCode' => '{$POSITIONS4}'
							)
					)
			),
		'LBL_STOCK_INFORMATION'=>array(
			array(
				array(
					'customCode'=>'{$ORDERED}',
					'label'=>'Zamówień',
				),
				'qty_per_unit'
			),
			array('qty_in_stock','reorder_level'),
			array('ems_qty_in_stock','qty_in_demand'),
			array(
				array(
					'customCode'=>'{$INVENTORY_INFORMATION}',
					'label'=>'Inventory informations',
				),
				'lead_time',
			),
		),
		'LBL_DRIVERS_IMAGES'=>array(
			array(
				array(
					'label'=>'LBL_PRODUCT_PICTURE',
					'customCode'=>'{$PRODUCT_PICTURE}',
	 			),
				array(
					'label'=>'LBL_PACKING_FRONT_PICTURE',
					'customCode'=>'{$PACKING_FRONT_PICTURE}',
	 			),
			),
			array(
				array(
					'label'=>'LBL_DRIVER_1',
					'customCode'=>'{$DRIVER_1_DOWNLOAD}',
	 			),
				array(
					'label'=>'LBL_DRIVER_2',
					'customCode'=>'{$DRIVER_2_DOWNLOAD}',
	 			),
			),
		),
		'LBL_LOGISTIC_INFORMATION'=>array(
			array('',
				array(
					'label'=>'LBL_CARTON_DIMENSIONS_1',
					'customCode'=>'{$CARTON_DIMENSIONS_1} x {$CARTON_DIMENSIONS_2} x {$CARTON_DIMENSIONS_3}'
   				),
			),
			array('fob_basis_name','carton_netto_weight'),
			array('','carton_brutto_weight'),
			array('pieces_per_carton','carton_volume_meter'),
			array('product_netto_weight','unit_id'),
			array('product_brutto_weight','country_of_origin'),
			array('packing_type_name',''),
			array(
				array(
					'label'=>'LBL_PACKING_DIMENSIONS_1',
					'customCode'=>'{$PACKING_DIMENSIONS_1} x {$PACKING_DIMENSIONS_2} x {$PACKING_DIMENSIONS_3}'
   				)
				,''
			),
			array('rma'),
			array ('boxes_per_layer','number_of_layers'),
			array ('boxes_per_palette','pieces_per_palette'),
			array ('palette_weight_brutto',''),

  		), 
		'LBL_LOCALIZED_INFORMATION'=>array(
			array(
				array(
					'hideLabel'=>true,
					'customCode'=>'
								<script>
								{literal}
								function select_lang(value)
								{
									//document.getElementById("ean_pl").style.display="none";
									document.getElementById("remarks_pl").style.display="none";
									document.getElementById("short_description_pl").style.display="none";
									document.getElementById("long_description_pl").style.display="none";
									document.getElementById("price_pl").style.display="none";
									//document.getElementById("ean_en").style.display="none";
									document.getElementById("remarks_en").style.display="none";
									document.getElementById("short_description_en").style.display="none";
									document.getElementById("long_description_en").style.display="none";
									document.getElementById("price_en").style.display="none";
									//document.getElementById("ean_de").style.display="none";
									document.getElementById("remarks_de").style.display="none";
									document.getElementById("short_description_de").style.display="none";
									document.getElementById("long_description_de").style.display="none";
									document.getElementById("price_de").style.display="none";
	
									//document.getElementById("ean_"+value).style.display="block";
									document.getElementById("remarks_"+value).style.display="block";
									document.getElementById("short_description_"+value).style.display="block";
									document.getElementById("long_description_"+value).style.display="block";
									document.getElementById("price_"+value).style.display="block";
								}
								{/literal}
								</script>
								   <select name="slang" id="slang" onchange="select_lang(this.value);">
      								<option value="pl">pl</option>
      								<option value="en">en</option>
      								<option value="de">de</option>
    							   </select>',
				),
			),
			array(	
/*			
				array(
					'label'=>'LBL_LOCAL_EAN',
					'customCode'=>'<div id="ean_pl">{$EAN_pl}</div><div style="display:none;" id="ean_en">{$EAN_en}</div><div style="display:none;" id="ean_de">{$EAN_de}</div>',
				),
*/
				array(''),
				array(
					'label'=>'LBL_REMARKS',
					'customCode'=>'<div id="remarks_pl">{$REMARKS_pl}</div><div style="display:none;" id="remarks_en">{$REMARKS_en}</div><div style="display:none;" id="remarks_de">{$REMARKS_de}</div>',
				),
			),
			array(
				array(
					'label'=>'LBL_SHORT_DESCRIPTION',
					'customCode'=>'<div id="short_description_pl">{$SHORT_DESCRIPTION_pl}</div><div style="display:none;" id="short_description_en">{$SHORT_DESCRIPTION_en}</div><div style="display:none;" id="short_description_de">{$SHORT_DESCRIPTION_de}</div>',
				),
				array(
					'label'=>'LBL_LONG_DESCRIPTION',
					'customCode'=>'<div id="long_description_pl">{$LONG_DESCRIPTION_pl}</div><div style="display:none;" id="long_description_en">{$LONG_DESCRIPTION_en}</div><div style="display:none;" id="long_description_de">{$LONG_DESCRIPTION_de}</div>',
				),
			),
			array(
				array(
					'label'=>'LBL_PRICE',
					'customCode'=>'<div id="price_pl">{$PRICE_pl}</div><div style="display:none;" id="price_en">{$PRICE_en}</div><div style="display:none;" id="price_de">{$PRICE_de}</div>',
				),
			),
  		),

		'LBL_COMPONENTS'=>array(
			array(
				array(
					'name' => 'items_list_panel',
					'allCols' => true,
					'hideLabel' => true,
					'customCode' => '
						<link rel="stylesheet" type="text/css" href="modules/EcmProductB2Bs/MyTable.css" />
          				<div style="width:100%;border: 1px solid rgb(48,192,255);background-color:white;height:{$OPT.position_table_height}px;max-height:{$OPT.position_table_height}px;overflow:auto;" id="itemsTableDIV">
							<table class="positions" style="width:100%;" id="itemsTable">
								<thead id="head">
									<tr id="tr">
										<td width="4%">{$MOD.LBL_EDITTABLE_NO}</td>
										<td width="10%">{$MOD.LBL_EDITTABLE_CODE}</td>
										<td width="58%">{$MOD.LBL_EDITTABLE_NAME}</td>
										<td width="12%">{$MOD.LBL_EDITTABLE_UNIT}</td>
										<td width="10%">{$MOD.LBL_EDITTABLE_QUANTITY}</td>
										<td width="10%">Średnia cena zakupu</td>
									</tr>
								</thead>
								<tbody id="tbody">
								</tbody>
							</table>
						</div>
						
			<table width="100%"" cellpadding="0" cellspacing="0" border="0">

              <tr>

                <td width="55%" class="dataLabel" valign="top">

                    &nbsp;

                </td>                                                                               <!--color:#b3b9cf;-->

                <td width="40%" class="dataField" style="text-align: left;">

                <br>
                <table  id="result_table" cellpadding="0" cellspacing="0" style="width:100%; height:100%; border: 1px solid rgb(48,192,255);">

                <tr id="subtotal_tr"> 

                  <td class="positionsLabel" style="border-top:0px;">Razem średnia cena zakupu:</td>

                  <td class="positionsField" style="border-top:0px;"><input type="text" style="border:0px;font-weight:900;width:100%;text-align:right;" readonly="readonly" name="subtotal" id="subtotal" value="test"></td>

                </tr>

                </table>
				
				                </td>

                <td width="5%" class="dataField" style="text-align: left;">&nbsp;</td>

              </tr>

            </table>
						
						',
				)
			)
		),
			
			'LBL_PANEL_CATEGORIES' =>
			array (
					0 =>
					array (
							0 =>
							array (
									'name' => 'items_list_panel3',
									'allCols' => true,
									'hideLabel' => true,
									'customCode' => '{$POSITIONS3}',
							),
					),
			),

			'LBL_PANEL_ASSIGNMENT' =>
			array (
					array (
							array (
									'name' => 'assigned_user_name',
									'label' => 'LBL_ASSIGNED_TO',
							),
							array (
									'name' => 'date_modified',
									'label' => 'LBL_DATE_MODIFIED',
									'customCode' => '{$fields.date_modified.value} {$APP.LBL_BY} {$fields.modified_by_name.value}',
							),
					),
					array (
							array (
									'name' => 'date_entered',
									'customCode' => '{$fields.date_entered.value} {$APP.LBL_BY} {$fields.created_by_name.value}',
							),
					),
			),
  		
	),                  
);
?>
